<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/02/2012 *
 * ===================                          Last change: 10/02/2012 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : install-page_2.php                               *
 * -------------------------------------------------------------------- *
 * Short description : Installation page include file                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Include-Datei fuer Installationsseite            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isInstaller())) {
	die();
} // END - if

// Prepare emissing elements
if (empty($GLOBALS['install_mysql']['dbase']))     $GLOBALS['install_mysql']['dbase']     = 'your_database';
if (empty($GLOBALS['install_mysql']['login']))     $GLOBALS['install_mysql']['login']     = 'your_login';
if (empty($GLOBALS['install_mysql']['host']))      $GLOBALS['install_mysql']['host']      = 'localhost';
if (empty($GLOBALS['install_mysql']['prefix']))    $GLOBALS['install_mysql']['prefix']    = 'mailer';
if (empty($GLOBALS['install_mysql']['type']))      $GLOBALS['install_mysql']['type']      = 'MyISAM';
if (empty($GLOBALS['install_mysql']['extension'])) $GLOBALS['install_mysql']['extension'] = 'mysqli';

// Are there errors?
if (ifFatalErrorsDetected()) {
	// Then list all
	addToInstallContent('<div class="install_fatal"><ul>');
	foreach (getFatalArray() as $key => $err) {
		addToInstallContent('<li> {--FATAL_NO--}' . ($key + 1) . ': ' . $err . '</li>');
	} // END - foreach
	addToInstallContent('</ol></div>');
} // END - if

// Prepare content array
$content = array(
	'mysql_host'         => $GLOBALS['install_mysql']['host'],
	'mysql_dbase'        => $GLOBALS['install_mysql']['dbase'],
	'mysql_prefix'       => $GLOBALS['install_mysql']['prefix'],
	'mysql_login'        => $GLOBALS['install_mysql']['login'],
	'table_type'         => $GLOBALS['install_mysql']['type'],
	'database_extension' => $GLOBALS['install_mysql']['extension'],
	'spath'              => postRequestElement('spath'),
	'burl'               => postRequestElement('burl'),
	'title'              => postRequestElement('title'),
	'slogan'             => postRequestElement('slogan'),
	'email'              => postRequestElement('email')
);

// Load template
addTemplateToInstallContent('install_page2', $content);

// [EOF]
?>
