<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/24/2009 *
 * ===================                          Last change: 10/24/2009 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : load-imprint.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Load more cache files                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mehr Cache-Dateien nachladen                     *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (isInstaller()) {
	// Do not run in installation phase
	//* DEBUG: */ logDebugMessage(__FILE__, __LINE__, 'Run from installation phase.');
	return FALSE;
} elseif (!isExtensionInstalled('imprint')) {
	// Do not cache if not installed!
	return FALSE;
}

// Let's start with the admins table...
if (($GLOBALS['cache_instance']->loadCacheFile('imprint')) && ($GLOBALS['cache_instance']->extensionVersionMatches('imprint'))) {
	// Load cache
	$GLOBALS['cache_array']['imprint'] = $GLOBALS['cache_instance']->getArrayFromCache();
} elseif ((isHtmlOutputMode()) || (isAjaxOutputMode()) || (isRawOutputMode())) {
	// Create cache file
	$GLOBALS['cache_instance']->init();

	// Query the database about this
	$result = sqlQuery('SELECT * FROM `{?_MYSQL_PREFIX?}_imprint_data` ORDER BY `imprint_id` ASC', __FILE__, __LINE__);
	while ($row = sqlFetchArray($result)) {
		// Save row
		$GLOBALS['cache_instance']->addRow($row);
	} // END - while

	// Free memory
	sqlFreeResult($result);

	// Close cache
	$GLOBALS['cache_instance']->storeExtensionVersion('imprint');
	$GLOBALS['cache_instance']->finalize();
}

// [EOF]
?>
