<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 07/24/2004 *
 * ===================                          Last change: 08/09/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_holiday.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Remove holiday requests                          *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Urlaubsschaltungen entfernen                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Shall I delete selected holidays???
if (ifPostContainsSelections()) {
	// Delete multiple holiday requests (for list_holiday)
	$count = '0';
	foreach (postRequestElement('sel') as $id => $sel) {
		// Get the userid
		$result = sqlQueryEscaped("SELECT
	`userid`,
	`holiday_start`,
	`holiday_end`
FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`id`=%s
LIMIT 1", array(bigintval($id)), __FILE__, __LINE__);
		if (sqlNumRows($result) == 1) {
			// Load data and free memory
			$content = sqlFetchArray($result);

			// Update user's account
			sqlQueryEscaped("UPDATE `{?_MYSQL_PREFIX?}_user_data`
SET
	`holiday_active`='N',
	`holiday_activated`=0
WHERE
	`userid`=%s
LIMIT 1", array(bigintval($content['userid'])), __FILE__, __LINE__);

			// Remove holiday
			sqlQueryEscaped("DELETE LOW_PRIORITY FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`id`=%s
LIMIT 1", array(bigintval($id)), __FILE__, __LINE__);

			// Prepare loaded data for the
			$content['holiday_start'] = generateDateTime($content['holiday_start'], '3');
			$content['holiday_end']   = generateDateTime($content['holiday_end']  , '3');

			// Send email to user
			$message = loadEmailTemplate('member_holiday_removed', $content, $content['userid']);
			sendEmail($content['userid'], '{--ADMIN_HOLIDAY_REMOVED_SUBJECT--}', $message);
			$count++;
		} // END - if

		// Free result
		sqlFreeResult($result);
	} // END - foreach

	// Display final message
	displayMessage('{%message,ADMIN_HOLIDAY_MULTI_DELETE=' . $count . '%}');
} elseif (isGetRequestElementSet('userid')) {
	// Set default message
	$message = '{--ADMIN_HOLIDAY_SINGLE_404--}';

	// Fetch data
	$result_load = sqlQueryEscaped("SELECT
	`holiday_start` AS `start`,
	`holiday_end` AS `end`
FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`userid`=%s
LIMIT 1",
		array(bigintval(getRequestElement('userid'))), __FILE__, __LINE__);
	if (sqlNumRows($result_load) == 1) {
		// Load data
		$content = sqlFetchArray($result_load);

		// Delete one holiday request (for task)
		sqlQueryEscaped("DELETE LOW_PRIORITY FROM
	`{?_MYSQL_PREFIX?}_user_holidays`
WHERE
	`userid`=%s
LIMIT 1", array(bigintval(getRequestElement('userid'))), __FILE__, __LINE__);

		// Send email to user
		$message = loadEmailTemplate('member_holiday_removed', $content, getRequestElement('userid'));
		sendEmail(getRequestElement('userid'), '{--ADMIN_HOLIDAY_REMOVED_SUBJECT--}', $message);

		// Set message
		$message = '{--ADMIN_HOLIDAY_SINGLE_DELETED--}';
	} // END - if

	// Free memory
	sqlFreeResult($result_load);

	// Output message
	displayMessage($message);
} else {
	// Add member selection box
	addMemberSelectionBox();
}

// [EOF]
?>
