<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 04/24/2005 *
 * ===================                          Last change: 05/19/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-del_sponsor.php                             *
 * -------------------------------------------------------------------- *
 * Short description : Edit sponsor account                             *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Sponsorenaccount aendern                         *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isGetRequestElementSet('id')) {
	// Check for selected sponsor
	$result = sqlQueryEscaped("SELECT `id`, `email`, `gender`, `surname`, `family` FROM `{?_MYSQL_PREFIX?}_sponsor_data` WHERE `id`=%s LIMIT 1",
		array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);
	if (sqlNumRows($result) == 1) {
		// Remove sponsor
		if (isFormSent()) {
			// Load data and remember it in constants
			$content = sqlFetchArray($result);

			// Prepare data for the template
			$content['reason']  = postRequestElement('reason');

			// Prepare message and send it away
			$message = loadEmailTemplate('sponsor_deleted', $content, bigintval(getRequestElement('id')));
			sendEmail($content['email'], '{--ADMIN_SPONSOR_DELETE_SUBJECT--}', $message);

			// Remove account
			sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_sponsor_data` WHERE `id`=%s LIMIT 1",
				array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);

			// Remove orders
			sqlQueryEscaped("DELETE LOW_PRIORITY FROM `{?_MYSQL_PREFIX?}_sponsor_orders` WHERE `sponsor_id`='%s' LIMIT 1",
				array(bigintval(getRequestElement('id'))), __FILE__, __LINE__);

			// Output message
			displayMessage('{%message,ADMIN_SPONSOR_DELETED=' . bigintval(getRequestElement('id')) . '%}');
		} elseif (isPostRequestElementSet('no')) {
			// Do not delete him...
			redirectToUrl('modules.php?module=admin&amp;what=list_sponsor&amp;id='.bigintval(getRequestElement('id')));
		} else {
			// Load data
			$content = sqlFetchArray($result);

			// Transfer data to constants for the template
			$content['userid'] = bigintval(getRequestElement('id'));

			// Display form
			loadTemplate('admin_delete_sponsor', FALSE, $content);
		}
	} else {
		// Sponsor not found
		displayMessage('{%message,ADMIN_SPONSOR_404=' . bigintval(getRequestElement('id')) . '%}');
	}

	// Free result
	sqlFreeResult($result);
} else {
	// Not called by what-list_sponsor.php
	displayMessage('{--ADMIN_CALL_NOT_DIRECTLY--}');
}

// [EOF]
?>
