<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 04/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-email_archiv .php                           *
 * -------------------------------------------------------------------- *
 * Short description : See send emails details of ordered mails         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Alle  Mails ansehen die versand wurden           *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Init SQL
$sql = "SELECT
	`id`,
	`sender`,
	`subject`,
	`text`,
	`receivers`,
	`payment_id`,
	`data_type`,
	`timestamp`,
	`url`,
	`target_send`,
	`cat_id`
FROM
	`{?_MYSQL_PREFIX?}_pool`
WHERE
	`data_type`='SEND' OR `data_type`='DELETED'
ORDER BY
	`timestamp` DESC";

// Check for maximum pages
$result_maximum = sqlQuery($sql, __FILE__, __LINE__);

// Set offset an current page to default values
if (!isGetRequestElementSet('page'))   setGetRequestElement('page'  , 1);
if (!isGetRequestElementSet('offset')) setGetRequestElement('offset', getMailsPage());

// Add limitation to SQL string
$sql .= ' LIMIT ' . (getRequestElement('offset') * getRequestElement('page') - getRequestElement('offset')) . ', ' . getRequestElement('offset');

// Run SQL query for normal mails
$result = sqlQuery($sql, __FILE__, __LINE__);

// Calculate pages
$numPages = round(sqlNumRows($result_maximum) / getMailsPage() + 0.5);

// Free the result which we don't need
sqlFreeResult($result_maximum);

if (!ifSqlHasZeroNums($result)) {
	// Mail orders are in pool so we can display them

	// Add navigation table rows
	$content['top_email_nav']    = addEmailNavigation($numPages, getMailsPage(), TRUE , 3, TRUE);
	$content['bottom_email_nav'] = addEmailNavigation($numPages, getMailsPage(), FALSE, 3, TRUE);

	// List all entries
	$OUT = '';
	while ($pool = sqlFetchArray($result)) {
		// Check sent mails and clicks
		$result_mails = sqlQueryEscaped("SELECT `max_rec`, `clicks` FROM `{?_MYSQL_PREFIX?}_user_stats` WHERE `pool_id`=%s LIMIT 1",
			array(bigintval($pool['id'])), __FILE__, __LINE__);

		// Load entries
		$pool = merge_array($pool, sqlFetchArray($result_mails));

		// Merge result
		sqlFreeResult($result_mails);

		// Unconfirmed mails
		$pool['unconfirmed'] = generateUnconfirmedAdminLink($pool['id'], ($pool['max_rec'] - $pool['clicks']), 'normal');

		// Prepare data for the row template
		$content['timestamp'] = generateDateTime($pool['timestamp'], 0);

		// Merge pool data with content
		$content = merge_array($content, $pool);

		// Load row template and switch colors
		$OUT .= loadTemplate('admin_email_archiv_row', TRUE, $content);
	} // END - while

	// Remmber generated rows in array
	$content['rows'] = $OUT;

	// Load main template
	loadTemplate('admin_email_archiv', FALSE, $content);
} else {
	// No mail orders fond
	displayMessage('{--ADMIN_NO_MAILS_IN_POOL--}');
}

// Free memory
sqlFreeResult($result);

// [EOF]
?>
