<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/12/2004 *
 * ===================                          Last change: 02/12/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-list_bank_package.php                       *
 * -------------------------------------------------------------------- *
 * Short description : List packages                                    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Listet Angebotspakete auf                        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

// Check if there is enougth selected
$show = TRUE;
if (ifPostContainsSelections('id')) {
	// Okay, which button was pressed?
	if (isFormSent('change')) {
		// Change permissions
		adminChangeActivationStatus(postRequestElement('id'), 'bank_packages', 'package_active');
	} elseif (isFormSent('edit')) {
		// Delete entries (with confirmation)
		adminEditEntriesConfirm(
			array('id'),
			array('bank_packages'),
			postRequestElement('id'),
			array(
				'id',
				'title',
				'description',
				'account_fee',
				'free_transfers',
				'transfer_fee',
				'output_system_mode',
				'package_active',
				'free_months_no_fee',
				'interest_plus',
				'interest_minus',
				'first_payment',
				'free_account_income',
				'free_account_stuff',
				'tan_lock'
			),
			array(
				'bigintval',
				'',
				'',
				'translateComma',
				'bigintval',
				'translateComma',
				'',
				'',
				'bigintval',
				'translateComma',
				'translateComma',
				'translateComma',
				'translateComma',
				'',
				'bigintval'
			),
			array(
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				'',
				''
			)
		);
		$show = FALSE;
	} elseif (isFormSent('do_edit')) {
		// Delete entries (with confirmation)
		adminEditEntriesConfirm(
			array('id'),
			array('bank_packages'),
			postRequestElement('id'),
			array(),
			array(),
			array(),
			array(TRUE)
		);
	} elseif (isFormSent('delete')) {
		// Delete entries (with confirmation)
		adminDeleteEntriesConfirm(
			array('id'),
			array('bank_packages'),
			postRequestElement('id'),
			array(
				'id',
				'title',
				'description',
				'account_fee'
			),
			array(
				'bigintval',
				'',
				'',
				'translateComma'
			),
			array(
				'',
				'',
				'',
				''
			)
		);
		$show = FALSE;
	} elseif (isFormSent('do_delete')) {
		// Delete entries (with confirmation)
		adminDeleteEntriesConfirm(
			array('id'),
			array('bank_packages'),
			postRequestElement('id'),
			array(),
			array(),
			array(),
			array(TRUE)
		);
	}
} // END - if

// Skip showing old entries?
if ($show === FALSE) return;

// Load all banking packages from DB
$result = sqlQuery('SELECT
	`id`,
	`title`,
	`description`,
	`account_fee`,
	`package_active`,
	`interest_plus`,
	`interest_minus`
FROM
	`{?_MYSQL_PREFIX?}_bank_packages`
ORDER BY
	`id` ASC', __FILE__, __LINE__);

// Is there at lease one package?
if (!ifSqlHasZeroNums($result)) {
	// List all packages
	$OUT = '';
	while ($content = sqlFetchArray($result)) {
		// Load row template
		$OUT .= loadTemplate('admin_list_bank_package_row', TRUE, $content);
	} // END - while

	// Load main template
	loadTemplate('admin_list_bank_package', FALSE, $OUT);
} else {
	// No packages found
	displayMessage('{--ADMIN_BANK_NO_PACKAGES_FOUND--}');
}

// Free the result
sqlFreeResult($result);

// [EOF]
?>
