<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/28/2003 *
 * ===================                          Last change: 03/04/2005 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-send_newsletter.php                         *
 * -------------------------------------------------------------------- *
 * Short description : Handle HTML or text newsletter                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verwalten von HTML- oder Text-Newslettern        *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
} // END - if

// Add description as navigation point
addYouAreHereLink('admin', __FILE__);

if (isFormSent()) {
	$result = sqlQuery("SELECT
	`userid`,
	`email`
FROM
	`{?_MYSQL_PREFIX?}_user_data`
WHERE
	`status`='CONFIRMED' AND
	`nl_receive`='Y'
ORDER BY
	`userid` ASC", __FILE__, __LINE__);
	if (!ifSqlHasZeroNums($result)) {
		// Members are available so we can send out the newsletter!
		while ($content = sqlFetchArray($result)) {
			// Construct mail...
			$template = 'newsletter';

			// Check for extension and sending-mode
			if (!isExtensionActive('html_mail', TRUE) && (postRequestElement('mail_mode') == 'html')) {
				// Set mode to text mode
				postRequestElement('mail_mode') == 'text';
			} elseif (postRequestElement('mail_mode') == 'html') {
				// Set HTML templates
				$template = 'newsletter_html';
			}

			// Compile message
			setPostRequestElement('text', preCompileCode(postRequestElement('text')));

			// Load template
			$message = loadEmailTemplate($template, array('text' => postRequestElement('text')), $content['userid']);

			// ... and send it away!
			sendNewsletter($content['email'], postRequestElement('subject'), $message, postRequestElement('mail_mode'));
		} // END - while

		// Output message
		displayMessage('{--ADMIN_NL_SEND_DONE--}');
	} // END - if

	// Free memory
	sqlFreeResult($result);
} else {
	// Copy data into constants for the template and load it
	$content['datestamp'] = generateDateTime(time(), 3);

	// Extension html_mail installed?
	if (isExtensionActive('html_mail')) {
		// Load template with HTML mode
		loadTemplate('admin_newsletter', FALSE, $content);
	} else {
		// Load template with only text mode
		loadTemplate('admin_newsletter_nohtml', FALSE, $content);
	}
}

// [EOF]
?>
