<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/10/2003 *
 * ===================                          Last change: 11/26/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-register.php                                *
 * -------------------------------------------------------------------- *
 * Short description : Registration form                                *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Anmeldeformular                                  *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} // END - if

// Add description as navigation point
addYouAreHereLink('guest', __FILE__);

if (!isExtensionActive('register')) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=register%}');
	return;
} elseif (!isExtensionActive('country')) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=country%}');
	return;
}

// Is the form sent and all went fine?
//* DEBUG: */ debugOutput('isFormSent=' . intval(isFormSent()) . ',isRegistrationDataComplete=' . intval(isRegistrationDataComplete()) . ',isAdmin=' . intval(isAdmin()));
if (runFilterChain('check_user_registration') === TRUE) {
	// Do the registration here
	if (doUserRegistration()) {
		// All done
		runFilterChain('user_registration_done');
	} else {
		// Something failed
		runFilterChain('user_registration_failed');
	}
} else {
	// Is a registration provider selected?
	if (!isGetRequestElementSet('registration_provider')) {
		// Display selector form
		loadTemplate('guest_registration_select');
	} // END - if

	// Display registration form
	runFilterChain('user_registration_form');
}

// [EOF]
?>
