<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/19/2003 *
 * ===================                          Last change: 10/19/2003 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-                                            *
 * -------------------------------------------------------------------- *
 * Short description :                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  :                                                  *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} // END - if

// Special file
loadIncludeOnce('inc/classes/rdf.class.php');

// Add description as navigation point
addYouAreHereLink('guest', __FILE__);

if ((!isExtensionActive('wernis')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=wernis%}');
	return;
} // END - if

// Init PDF/RDF parser class
$rdf = new fase4_rdf();
$rdf->_use_nl2br = FALSE;
$rdf->_finishCallback = 'compactContent';
$rdf->use_dynamic_display(FALSE);
$rdf->set_CacheDir(getCachePath() . '');
$rdf->set_salt(md5(getSiteKey()));
$rdf->set_max_item(10);
$rdf->set_Options(
	array(
		'textinput' => 'hidden',
		'sitelink'  => getWernisBaseUrl(),
		'refid'     => getWernisRefid(),
		'reflink'   => '/ref.php?refid=',
	)
);

// Use proxy?
if (isProxyUsed()) {
	// Set proxy data
	$rdf->set_proxy(getProxyHost(), getProxyPort());

	// Use auth?
	if (getProxyUsername() != '') {
		// Set auth data
		$rdf->set_proxy_auth(getProxyUsername(), getProxyPassword());
	} // END  - if
} // END - if

$rdf->parse_RDF(getWernisBaseUrl() . '/rss.xml');

// Load template
loadTemplate('guest_wernis_news', FALSE, $rdf->finish(TRUE));

// [EOF]
?>
