<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 02/12/2004 *
 * ===================                          Last change: 01/07/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-                                            *
 * -------------------------------------------------------------------- *
 * Short description :                                                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  :                                                  *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2015 by Mailer Developer Team                   *
 * For more information visit: http://mxchange.org                      *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	exit();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Add description as navigation point
addYouAreHereLink('member', __FILE__);

// Continue only if the proper extension is active (admins can always continue)
if ((!isExtensionActive('transaction')) && (!isAdmin())) {
	displayMessage('{%pipe,generateExtensionInactiveNotInstalledMessage=transaction%}');
	return;
} // END - if

// Init array
$data = array(
	'current_day'             => generateDateTime(time(), '3'),
	'next_year'               => generateDateTime(mktime(0, 0, 0, 1, 1, (getCurrentYear() + 1)), '3'),
	'transaction_holding_fee' => '0.00000'
);

// Get user's open transaction fees
$result = sqlQueryEscaped("SELECT
	COUNT(`transaction_fee_receiver`) AS `transaction_receiver_count`,
	SUM(`transaction_fee_receiver`) AS `transaction_receiver_fee`
FROM
	`" . $GLOBALS['db_table']['translog'] . "`
WHERE
	`transaction_receiver`=%s AND
	`transaction_fee_collected`='N' AND
	`transaction_confirmed`='N' AND
	`transaction_captcha_failed`='N'
LIMIT 1",
	array(
		getCurrentUserId()
	), __FILE__, __LINE__
);

// Load entry
$data = array_merge($data, sqlFetchArray($result));

// Free result
sqlFreeResult($result);

// Get user's open transaction fees
$result = sqlQueryEscaped("SELECT
	COUNT(`transaction_fee_sender`) AS `transaction_sender_count`,
	SUM(`transaction_fee_sender`) AS `transaction_sender_fee`
FROM
	`" . $GLOBALS['db_table']['translog'] . "`
WHERE
	`transaction_sender`=%s AND
	`transaction_fee_collected`='N' AND
	`transaction_confirmed`='N' AND
	`transaction_captcha_failed`='N'
LIMIT 1",
	array(
		getCurrentUserId()
	), __FILE__, __LINE__
);

// Load entry
$data = array_merge($data, sqlFetchArray($result));

// Free result
sqlFreeResult($result);

// Get user's saved transaction fees
$result = sqlQueryEscaped("SELECT
	COUNT(`transaction_fee_receiver`) AS `transaction_receiver_saved_count`,
	SUM(`transaction_fee_receiver`) AS `transaction_receiver_saved_fee`
FROM
	`" . $GLOBALS['db_table']['translog'] . "`
WHERE
	`transaction_receiver`=%s AND
	`transaction_fee_collected`='N' AND
	(
		`transaction_confirmed`='Y' OR
		`transaction_captcha_failed`='Y'
	)
LIMIT 1",
	array(
		getCurrentUserId()
	), __FILE__, __LINE__
);

// Load entry
$data = array_merge($data, sqlFetchArray($result));

// Free result
sqlFreeResult($result);

// Get user's saved transaction fees
$result = sqlQueryEscaped("SELECT
	COUNT(`transaction_fee_sender`) AS `transaction_sender_saved_count`,
	SUM(`transaction_fee_sender`) AS `transaction_sender_saved_fee`
FROM
	`" . $GLOBALS['db_table']['translog'] . "`
WHERE
	`transaction_sender`=%s AND
	`transaction_fee_collected`='N' AND
	(
		`transaction_confirmed`='Y' OR
		`transaction_captcha_failed`='Y'
	)
LIMIT 1",
	array(
		getCurrentUserId()
	), __FILE__, __LINE__
);

// Load entry
$data = array_merge($data, sqlFetchArray($result));

// Free result
sqlFreeResult($result);

// Total fees from config as it contains all transaction fees
$data['total_fee'] = getConfig('transaction_pot');

// Get total confirmed
$result = sqlQuery("SELECT
	SUM(`transaction_count`) AS `total_transaction_count`
FROM
	`" . $GLOBALS['db_table']['user'] . "`
WHERE
	`locked`='N'
LIMIT 1", __FILE__, __LINE__);

// Load total amount
list($data['total_transaction_sum']) = sqlFetchRow($result);

// Free result
sqlFreeResult($result);

// Add user's count
$data['transaction_count_sum'] = getMemberData('transaction_count');

// Is the user's own count > 0? (This fixes a division by zero)
if ($data['total_transaction_sum'] > 0) {
	// Calulcate how much the user would get if today is 01-01 (new year)
	$data['transaction_holding_fee'] = $data['total_fee'] / $data['total_transaction_sum'] * $data['transaction_count_sum'];
} // END - if

// "Translate" all fields
foreach ($data as $key => $value) {
	// What suffix has $key?
	if (substr($key, -6, 6) == '_count') {
		// Count
		$data[$key] = translateComma($value, TRUE);
	} elseif ((substr($key, -4, 4) == '_fee') || (substr($key, -4, 4) == '_sum')) {
		// Fees/sums
		$data[$key] = translateComma($value);
	}
} // END - foreach

// Get all related config entries
// @TODO Make this working
$result = sqlGetResultFromLikeColumnsType('config', 'transaction_count_%%', 'decimal(3,1)');

// Load all fields
$data['config_rows'] = ''; $SW = 1;
while ($row = sqlFetchArray($result)) {
	// Prepare content
	$content = array(
		'field' => translateField('data', $row['Field']),
		'value' => translateComma(getConfig($row['Field'])),
		'sw'    => $SW,
	);

	// Load row template + switch color
	$data['config_rows'] .= loadTemplate('member_transaction_fees_config_row', TRUE, $content);
	$SW = 3 - $SW;
} // END - while

// Free result
sqlFreeResult($result);

// Load template
loadTemplate('member_transaction_fees', FALSE, $data);

// [EOF]
?>
