/**
 * JavaScript for admin AJAX stuff
 * --------------------------------------------------------------------
 * Copyright (c) 2003 - 2009 by Roland Haeder
 * Copyright (c) 2009 - 2015 by Mailer Developer Team
 * For more information visit: http://mxchange.org
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
 * MA  02110-1301  USA
 */

// If all all has been loaded, initialize rest of it
$().ready(function () {
	// Fade default content in
	window.setTimeout("requestAjaxContent('admin', 'admin_content', '$content[admin_page]', false)", 250);

	// Set default tab id
	defaultTabId = '$content[admin_page]';

	// Set 'save-changes' button id
	saveChangesId = 'save_changes';

	//-----------------------------------------
	//            Tab navigation
	//-----------------------------------------
	$('a').each(function (i) {
		$(this).on('click', {index:i}, function (event) {
			// Is there a valid index?
			if (indexTranslation[event.data.index] !== null) {
				// Prevent default action
				event.preventDefault();

				// Valid found, so initialize the POST request
				requestAjaxContent('admin', 'admin_content', indexTranslation[event.data.index], false);
			} // END - if
		});
	});

	// Register common things (close buttons, drag&drop)
	registerCommons('admin');

	//-----------------------------------------
	//             Save changes
	//-----------------------------------------
	$('#' + saveChangesId).click(function () {
		// Save changes
		saveChanges('admin');
	});
});
